/*******************************************************************************
 *
 * FILENAME:     main.cpp
 * DESCRIPTION:  main file
 *
 * AUTHOR:       Jun Liu (jun@cs.man.ac.uk)
 * INSTITUTION:  Advanced Interfaces Group,
 *               Department of Computer Science,
 *               the University of Manchester, United Kingdom
 * DATE:         September 2006
 *
 *******************************************************************************/

#include "JIFT.h"
#include <iostream>
#include "saveToFile.h"
using namespace std;



int main (int argc, char * argv[])
{
    if (argc==3 || argc==4)
    {
        JIFT jift(argv[1], 4,2);
        jift.doJIFT();
        
        if (!saveDescriptorsToFile(jift.descriptor(), argv[2]))
        {
            cerr << "Error opening file " << argv[2] << endl;
            exit(1);
        }
        
        if (argc==4)
            if (!saveFeaturesToImages(jift.keypoint(), jift.srcimg(), argv[3]))
            {
                cerr << "Error opening file " << argv[3] << endl;
                exit(1);
            }
    }

    else
    {
        cerr << "Usage: " << argv[0] << "input output [image]" << endl;
        exit(1);
    }
    
}
